Do not miss any Textline API changes, ever again

Subscribe to the Textline API changelog to be up to date on recent changes.

RSS

Sep 18, 2026

main
1.2.2
Compare
1.2.2

API structure has changed

Next change
36 structure changes including:
2 Breaking changes
35 Modifications
1 Removal
Modified 35 Breaking
DELETE /api/users/{uuid}/on_call.json
  • Authentication
  • Access token header authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /api/address_book/custom_fields.json
  • Authentication
  • Access token header authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /api/address_book/saved_searches.json
  • Authentication
  • Access token header authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /api/conversation/{uuid}.json
  • Authentication
  • Access token header authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /api/conversations.json
  • Path went from /api/reporting/conversations.json to /api/conversations.json (same operationId)
    Breaking
  • Response
  • 200 response Modified
    • application/json content type Modified
      • conversations, meta properties Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • conversation, posts properties Added
  • Authentication
  • Access token header authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Query
  • after_uuid, before_uuid, group_uuid, page, page_size, phone_number query parameters Added
GET /api/customer/{uuid}.json
  • Authentication
  • Access token header authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /api/customers.json
  • Authentication
  • Access token header authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /api/dispositions.json
  • Authentication
  • Access token header authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /api/groups.json
  • Authentication
  • Access token header authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /api/organization.json
  • Authentication
  • Access token header authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /api/reporting/conversation/{uuid}/posts.json
  • Authentication
  • Access token header authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /api/reporting/conversations.json
  • Authentication
  • Access token header authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /api/survey/{uuid}/responses.json
  • Authentication
  • Access token header authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /api/surveys.json
  • Authentication
  • Access token header authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
GET /api/users.json
  • Authentication
  • Access token header authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST /api/announcements.json
  • Authentication
  • Access token header authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST /api/conversation/{uuid}.json
  • Authentication
  • Access token header authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST /api/conversation/{uuid}/resolve.json
  • Authentication
  • Access token header authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST /api/conversation/{uuid}/schedule.json
  • Authentication
  • Access token header authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST /api/conversation/{uuid}/transfer.json
  • Authentication
  • Access token header authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST /api/conversations.json
  • Authentication
  • Access token header authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST /api/conversations/schedule.json
  • Authentication
  • Access token header authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST /api/customers.json
  • Authentication
  • Access token header authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST /api/customers/request_consent.json
  • Authentication
  • Access token header authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST /api/customers/set_consent.json
  • Authentication
  • Access token header authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST /api/new_customer_post.json
  • Authentication
  • Access token header authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST /api/survey/{uuid}/send.json
  • Authentication
  • Access token header authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST /api/users/{uuid}/on_call.json
  • Authentication
  • Access token header authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
PUT /api/customer/{uuid}.json
  • Authentication
  • Access token header authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST conversation_status_changewebhook
  • Authentication
  • Access token header authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST customer_updatedwebhook
  • Authentication
  • Access token header authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST new_customer_postwebhook
  • Authentication
  • Access token header authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST new_outbound_postwebhook
  • Authentication
  • Access token header authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST new_whisperwebhook
  • Authentication
  • Access token header authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
POST user_status_changewebhook
  • Authentication
  • Access token header authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
Removed 1 Breaking
Access token headerauthentication method
  • Removing a resource is always breaking unless it was deprecated before
    Breaking